# warpstream playground

## warpstream playground

The `warpstream playground` subcommand creates a temporary WarpStream account, provisions a local WarpStream cluster (writing to memory by default), and provisions a producer client to send data to the Agents.

The following table displays the available `warpstream playground` arguments.

| Argument                    | Description                                                                                                                                                                                                                                                                                                              |
| --------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| -advertiseHostnameCustom    | Custom hostname value to advertise to service discovery for clustering purposes if the custom advertise strategy is selected                                                                                                                                                                                             |
| -advertiseHostnameStrategy  | Which hostname strategy should be used the agent should advertise itself on. Auto means that it will try to automatically find an IP that makes sense. If you select custom them you have to also define -advertiseHostnameCustom. Currently supported strategy: \[auto-ip4, auto-ip6, local, custom]. (default "local") |
| -bucketURL                  | Object storage bucket URL for new writes (default "mem://warpstream\_playground")                                                                                                                                                                                                                                        |
| -httpPort                   | Port to run HTTP server on (default 8080)                                                                                                                                                                                                                                                                                |
| -kafkaLoadBalancingInterval | Time after which the Kafka connection will be closed. This mechanism helps load balance the clients by forcing them to query the bootstrap URL again. By resetting the connection periodically, clients are evenly distributed across available Kafka connections. (default 8760h0m0s)                                   |
| -kafkaPort                  | Port to run kafka server on (default 9092)                                                                                                                                                                                                                                                                               |
| -metadataURL                | URL for WarpStream service (default "<https://api.playground.us-east-1.warpstream.com>")                                                                                                                                                                                                                                 |
| -requireAuthentication      | Controls whether the agents will enforce that all connections are SASL authenticated. Will automatically disable Kinesis support if enabled                                                                                                                                                                              |
| -timeout                    | End playground after this duration has elapsed, use Xh format to change (default 4h)                                                                                                                                                                                                                                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.warpstream.com/warpstream/reference/cli-reference/warpstream-playground.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
